﻿local bbs2util = require "bbs2util"

function data()
return {
	-- Tonmitschitte überwiegend aus: https://www.youtube.com/watch?v=sFy7YZzH5nM
	tracks = {
		{ name = "vehicle/br38/38_stand.wav", refDist = 15.0 },
		{ name = "vehicle/br38/dampf_leer.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_3.wav", refDist = 25.0 },		
		{ name = "vehicle/br38/38_6.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_9.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_12.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_15.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_18.wav", refDist = 25.0 },		
		{ name = "vehicle/br38/38_21.wav", refDist = 25.0 },
		{ name = "vehicle/br38/38_24.wav", refDist = 25.0 },		
		{ name = "vehicle/br38/kurve.wav", refDist = 20.0 },
		{ name = "vehicle/br38/bremse_dampf.wav", refDist = 20.0 },
		{ name = "vehicle/br38/dampf_bremsluft.wav", refDist = 20.0 },

	},
	events =  {
		horn = { names = { "vehicle/br38/38_pfiff.wav" }, refDist = 25.0 },
		closeDoors = { names = { "vehicle/br38/dampfablass.wav" }, refDist = 15.0 }
		
	},

	updateFn = function (input)
		local axleRefWeight = 10.0
		
		return {
			tracks = {
			--stand	
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.8 },
									{ .01, .0 },
									{ 1.0, .0 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
			--Leerlauf	
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.5 },
									{ .2, 0.5 },
									{ .4, 0.3 },
									{ 1.0, 0.3 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .30, 0.0 },
									{ .3001, 0.8 },
									{ 1.0, 1.2 } }, input.speed01)
				},	
			--Fahrt 3
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .3 },
									{ 0.4, 0.9 },
									{ 1.0, 1.0 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .001, 1.0 },
									{ .09, 1.3 },
									{ .0901, 0.0 },
									{ 1.0, 0.0 } }, input.speed01)
				},			

			--Fahrt 6
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .3 },
									{ 0.4, 0.9 },
									{ 1.0, 1.0 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .09, 0.0 },
									{ .0901, 0.7 },
									{ .27, 1.3 },
									{ .2701, 0.0 },
									{ 1.0, 0.0 } }, input.speed01)
				},
			--Fahrt 9
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .2 },
									{ 0.4, 1.0 },
									{ 1.0, 1.1 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .27, 0.0 },
									{ .2701, 0.9 },
									{ .4, 1.23 },
									{ .4001, 0.0 },
									{ 1.0, 0.0 } }, input.speed01)
				},
			--Fahrt 12
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .3 },
									{ 0.4, 1.0 },
									{ 1.0, 1.1 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .4, 0.0 },
									{ .4001, 0.92 },
									{ .52, 1.17 },
									{ .5201, 0.0 },
									{ 1.0, 0.0 } }, input.speed01)
				},				
			--Fahrt 15
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .4 },
									{ 0.4, 1.0 },
									{ 1.0, 1.1 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .52, 0.0 },
									{ .5201, 0.94 },
									{ .64, 1.1 },
									{ .641, 0.0 },									
									{ 1.0, 0.0 } }, input.speed01)
				},
			--Fahrt 18
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .3 },
									{ 0.4, 0.8 },
									{ 1.0, 0.9 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .64, 0.0 },
									{ .641, 0.92 },
									{ .78, 1.12 },
									{ .7801, 0.0 },									
									{ 1.0, 0.0 } }, input.speed01)
				},												
			--Fahrt 21
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .6 },
									{ 0.4, 1.1 },
									{ 1.0, 1.2 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .78, 0.0 },
									{ .7801, 0.96 },
									{ .85, 1.1 },
									{ .8501, 0.0 },
									{ 1.0, 0.0 } }, input.speed01)
				},								
			--Fahrt 24
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .6 },
									{ 0.4, 1.1 },
									{ 1.0, 1.2 } }, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .85, 0.0 },
									{ .8501, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},											
				
				bbs2util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbs2util.brake(input.speed, input.brakeDecel, 1.2),
				bbs2util.slow(input.speed, input.brakeDecel, 1.0),
				
			},
			events = {
						horn = { gain = 1.3, pitch = 1.0 },		
						closeDoors = { gain = 1.0, pitch = 1.0 }
			}
		}
	end
}
end
